/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jcaprops.support;

/**
 * A PropertyTestConnectionImpl.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.2 $
 */
public class PropertyTestConnectionImpl implements PropertyTestConnection
{
   private PropertyTestManagedConnection mc;
   
   public void close()
   {
      if (mc != null)
         mc.closeHandle(this);
   }
   
   void setManagedConnection(PropertyTestManagedConnection mc)
   {
      this.mc = mc;
   }

}
